[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: compile problem on solaris (ILD)

> LD_LIBRARY_PATH=/usr/local/lib:/usr/local/ssl/lib:/usr/local/BerkeleyDB.4.2/lib
[eventually dies with]
> ild:  Fatal error -- Assertion failed: file
> "../src/fault-intolerant-io.c" line 113 Exiting.

This is a bit of a long shot, but I wonder if you might have something in
/usr/local/lib or such that's interfering with one of the compiler
binaries. I would try again with only the LDFLAGS set; they should be
sufficient and will not impact your existing binaries (ie ild etc.) as

Apart from that, you seem to be in the same boat as ITS#785 with a Sun
bug. There's a FAQ entry on point with workarounds:

although personally, I'd try to get a reliable repro on a fully patched
system and get an actual fix from Sun. (You do have the ild patches
installed, yes?)

Finally, to keep this vaguely relevant to OpenLDAP: I have had success
with OpenLDAP 2.2.17 using the Sun Studio 9 compiler (sparc).